#!/bin/bash

if [ "$#" -ne 1 ] ;  then
	echo "Print some statistics about computation"
	echo "Usage: $0 output.X.Y.txt"
	exit 0
fi

OUT="$1"
IN=`echo "$1" | sed 's/output/input/'`

echo -n 'Total jobs: '
wc -l "${IN}"
echo -n 'Done jobs: '
wc -l "${OUT}"

awk '{ d += $1
       t += $2
	   if (m < $3) m = $3
	   c += $4
     }
       END  { print "Colored",d,"Time average",t/NR,"(sec) Max colored",m,"Configurations",c
	   print "Time ",t,"(sec) or",t/60,"(min) or",t/60/60," (hrs) or",t/60/60/24,"(days)"
	   }
	' "$OUT"

